Apache JMeter

## org.apache.jmeter.monitor.model
Interface ThreadInfo

All Known Implementing Classes:
  ThreadInfoImpl

public interface ThreadInfo

Version:
  $Revision: 674365 $

Method Summary
`int` `getCurrentThreadCount()`
`int` `getCurrentThreadsBusy()`
`int` `getMaxSpareThreads()`
`int` `getMaxThreads()`
`int` `getMinSpareThreads()`
`void` `setCurrentThreadCount(int value)`
`void` `setCurrentThreadsBusy(int value)`
`void` `setMaxSpareThreads(int value)`
`void` `setMaxThreads(int value)`
`void` `setMinSpareThreads(int value)`

Method Detail

### getMaxSpareThreads

    public int getMaxSpareThreads()

### setMaxSpareThreads

    public void setMaxSpareThreads(int value)

### getMinSpareThreads

    public int getMinSpareThreads()

### setMinSpareThreads

    public void setMinSpareThreads(int value)

### getMaxThreads

    public int getMaxThreads()

### setMaxThreads

    public void setMaxThreads(int value)

### getCurrentThreadsBusy

    public int getCurrentThreadsBusy()

### setCurrentThreadsBusy

    public void setCurrentThreadsBusy(int value)

### getCurrentThreadCount

    public int getCurrentThreadCount()

### setCurrentThreadCount

    public void setCurrentThreadCount(int value)

Apache JMeter

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.